from http.server import BaseHTTPRequestHandler, HTTPServer
import urllib
import time
from influxdb import InfluxDBClient
import sys
import csv
###########################
#    SCRIPT SETTINGS
###########################
# Set the port where you want the bridge service to run
PORT_NUMBER = 1234
# InfluxDB Server parameters
INLUXDB_SERVER_IP = '82.65.155.71'
INLUXDB_SERVER_PORT = 8086
INFLUXDB_USERNAME = 'eleves'
INFLUXDB_PASSWORD = 'SmarthouseG2Elab'
INFLUXDB_DB_NAME = 'jeedom'
###########################

client = InfluxDBClient(INLUXDB_SERVER_IP, INLUXDB_SERVER_PORT, INFLUXDB_USERNAME, INFLUXDB_PASSWORD, INFLUXDB_DB_NAME,ssl=True, verify_ssl=False)

print(client.get_list_database())

client.switch_database('jeedom')

datasheet = client.query('SELECT "value" FROM "jeedom"."autogen"."885" WHERE time > now() - 365d')
print(datasheet)

# Data
#Fenêtre Gauche = 4286 Unité Binaire 0 fermé 1 ouvert
#Fenêtre Droite = 4281 Unité Binaire 0 fermé 1 ouvert
#Fenêtre = 885
#TV Power = 1372  Unité W  ok
#Box TV = 1392 Unité W
#CO2= 3887 ppm
#Température = 3889 °C
#Humidité = 3892 %
#Lumière = 516 Unité Binaire 0 éteint 1 Allumé
#Bruit = 3888 Unité Décibel
#Luminosité = 7029 Lux
#Chauffage = 2022 Unité Binaire 0 éteint 1 allumé

exported_data = list(datasheet.get_points())
header_list = list(exported_data[0].keys())

with open("outputFenetre.csv", "w", newline='') as fp:
    writer = csv.writer(fp, dialect='excel')
    print(header_list[1:])
    value_header = header_list[1]
    offset = sum(c.isalpha() for c in value_header)
    print(offset)
    #header_list[1:] = sorted(header_list[1:], key=lambda x: int(x[offset:]))
    header_list[1:] = ['value']
    # print(header_list)
    writer.writerow(header_list)
    for line in exported_data:
        # print(line)
        writer.writerow([line[kn] for kn in header_list])


